Unit tde22e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE22E_p, DE22E_p;

function tde22e: String;

implementation

function tde22e: String;
var
M,IU,IORDER,_i,IERR :Integer;
XI,XF,HMIN,ERR,H :Extended;
YI :Array [0..3] of Extended;
YF :Array [0..3] of Extended;
RAB1 :Array [0..115] of Extended;
YPM :Array [0..3] of Extended;
DELTY :Array [0..3] of Extended;
begin
Result := '';  {   }
M := 4;
XI := 0.0;
YI[0] := 0.09411764706e0;
YI[1] := 0.0;
YI[2] := 0.0;
YI[3] := 4.5e0;
XF := 6.e0*3.14159265358979323846264e0;
HMIN := 1.E-16;
ERR := 1.e-11;
H := 0.01;
IU := 2;
IORDER := 6;
DE22E(FDE22E,M,XI,YI,XF,HMIN,ERR,IORDER,IU,
     H,YF,YPM,DELTY,RAB1,IERR);
Result := Result + Format('%s',[' XK=']);
Result := Result + Format('%20.16f ',[XF]);
Result := Result + Format('%s',[#$0D#$0A + ' Y=']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[YF[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
UtRes('tde22e',Result);  {     tde22e.res }
exit;
end;

end.
